About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Tara Interview API
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
        GET
      • Schedule Interview
        POST
      • Get Detailed Report
        GET
      • Get All Reports
        GET
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Tara Interview API

Get All Interviews

GET
/v3/tara/interviews
Retrieve a list of all AI interviews available in your account. This API returns interview details such as interview ID, name.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apiv3.imocha.io/v3/tara/interviews?pageNo=undefined&PageSize=undefined&SearchText=undefined' \
--header 'x-api-key;'
Response Response Example
{
  "interviews": [
    {
      "interviewId": 96,
      "interviewName": "Data Analyst SQL & Python Interview"
    },
    {
      "interviewId": 101,
      "interviewName": "AI/ML Engineer Technical Interview"
    },
    {
      "interviewId": 104,
      "interviewName": "DevOps Engineer Kubernetes Interview"
    }
  ],
  "totalCount": 10
}
Modified at 2026-05-29 06:02:34
Previous
Introduction
Next
Schedule Interview
Built with